edu.isi.pegasus.planner.invocation

## Class JobStatus

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.JobStatus

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JobStatusFailure, JobStatusRegular, JobStatusSignal, JobStatusSuspend

    public abstract class JobStatus
    extends Invocation

This abstract class is the interface for all classes that describe the job exit, which describes more clearly failure, regular execution, signal and suspension.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobStatus()`

### Method Summary

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toString, toXML, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobStatus

    public JobStatus()